package com.fs.hisStore.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Builder;
import lombok.Data;

@Builder
/**
 * 邮费区域对象 fs_shipping_templates_region
 * 
 * @author fs
 * @date 2022-03-15
 */
@TableName("fs_shipping_templates_region")
public class FsShippingTemplatesRegionScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 省ID */
    @Excel(name = "省ID")
    private Long provinceId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 首件 */
    @Excel(name = "首件")
    private BigDecimal first;

    /** 首件运费 */
    @Excel(name = "首件运费")
    private BigDecimal firstPrice;

    /** 续件 */
    @Excel(name = "续件")
    private BigDecimal continues;

    /** 续件运费 */
    @Excel(name = "续件运费")
    private BigDecimal continuePrice;

    /** 计费方式 */
    @Excel(name = "计费方式")
    private Integer type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setTempId(Long tempId) 
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setFirst(BigDecimal first) 
    {
        this.first = first;
    }

    public BigDecimal getFirst() 
    {
        return first;
    }
    public void setFirstPrice(BigDecimal firstPrice) 
    {
        this.firstPrice = firstPrice;
    }

    public BigDecimal getFirstPrice() 
    {
        return firstPrice;
    }
    public void setContinues(BigDecimal continues) 
    {
        this.continues = continues;
    }

    public BigDecimal getContinues() 
    {
        return continues;
    }
    public void setContinuePrice(BigDecimal continuePrice) 
    {
        this.continuePrice = continuePrice;
    }

    public BigDecimal getContinuePrice() 
    {
        return continuePrice;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }


}
